Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Novice, dont understand error

  1. #1
    Rimwe NNTP User

    Unhappy Novice, dont understand error

    I want to install a .rpm package, and when i install it it says: an internal system error has occured ;and when i press more details it says: repo exeption

  2. #2
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    1,273

    Default Re: Novice, dont understand error

    Hi Rimwe,

    What are you trying to install and how (using Software Management, downloaded rpm, etc)?
    Also what version of openSUSE are you running?
    Have a lot of fun!

  3. #3
    Rimwe NNTP User

    Default Re: Novice, dont understand error

    Running a v11.0 just installed, im trying open a .rpm package that i downloaded with firefox in pakage installer(Default for me)

  4. #4
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    1,273

    Default Re: Novice, dont understand error

    Did you download it to a NTFS partition by any chance?
    Try copying it over to your desktop and retry install.

    Same error?
    Have a lot of fun!

  5. #5
    Rimwe NNTP User

    Default Re: Novice, dont understand error

    It's in the Linux home partition, and i tried the desktop, it doesn't work...

  6. #6
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    1,273

    Default Re: Novice, dont understand error

    Could be it's an rpm designed for use on another system (e.g. redhat).

    Maybe installing through the console will give you more hints;
    open a terminal, cd to the directory with the rpm and enter ' rpm -ivh <name of rpm>.rpm (you need to be root).
    Have a lot of fun!

  7. #7
    Join Date
    Jun 2008
    Location
    Rotterdam, Port to Europe
    Posts
    207

    Default Re: Novice, dont understand error

    ...repo exeption

    Sounds like, the place that you downloaded firefox to is not seen as a 'repository' by YaST.

    In YaST you can add a local reopo.... say /home/~/Downloads/ in that case you can select the .rpm files from that location and install it via YaST.
    The advantage is that YaST should solve your dependencies.

    But personally I'd download firefox to its own folder say /home/~/Downloads/firefox for example and run it from there. Just add libflashplayer.so to the folder ~/plugins and it all should work !
    OpenSuSE Leap 42.3 / KDE 5.8 | Intel i7 3770 | 16GBRam | 120 + 80GB SSD's | Benq 27" | DVD | PhilipsToUcam 740 | HPpsc2355p | Logitech KB & mouse | 320 +160 + 80 + 80 GB USB HDD's | Fritz!Box Fon WLAN 7360 | (V)DSL 12 MB/s | SuSE since 2001

  8. #8

    Default Re: Novice, dont understand error

    Try to install it throught terminal ->

    1./ su
    2./ enter root password
    3./ zypper&#160;in&#160;*.rpm&#160;(or&#160;enter&#160;full&#160;package&#160;name)

    Now&#160;you&#160;should&#160;see&#160;entire&#160;process&#160;with&#160;potential&#160;errors...

  9. #9
    Rimwe NNTP User

    Default Re: Novice, dont understand error

    Thnx, I'll try it.

  10. #10

    Default Re: Novice, dont understand error

    I'm a noob too. So far I have been installing software by going to the opensuse software repositories. Doing that and letting yast do the rest works well for me. At some point I want to learn how to install from a tarball.

    twich

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •